# Uses of Interface
org.springframework.cglib.core.Customizer

Packages that use Customizer
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.core.internal
Spring's repackaging of the CGLIB core internal package (for internal use only).

## Uses of Customizer in org.springframework.cglib.core

Fields in org.springframework.cglib.core declared as Customizer
Modifier and Type
Field
Description
`static final Customizer`
KeyFactory.`CLASS_BY_NAME`
`static final Customizer`
KeyFactory.`OBJECT_BY_CLASS`
Deprecated.
this customizer might result in unexpected class leak since key object still holds a strong reference to the Object and class.
Methods in org.springframework.cglib.core with parameters of type Customizer
Modifier and Type
Method
Description
`static void`
EmitUtils.`append_string(CodeEmitter e, Type type, EmitUtils.ArrayDelimiters delims, Customizer customizer)`
Deprecated.
use `EmitUtils.append_string(CodeEmitter, Type, ArrayDelimiters, CustomizerRegistry)` instead
`static KeyFactory`
KeyFactory.`create(ClassLoader loader, Class keyInterface, Customizer customizer)`
`static KeyFactory`
KeyFactory.`create(Class keyInterface, Customizer customizer)`
`static void`
EmitUtils.`hash_code(CodeEmitter e, Type type, int multiplier, Customizer customizer)`
Deprecated.
use `EmitUtils.hash_code(CodeEmitter, Type, int, CustomizerRegistry)` instead
`static void`
EmitUtils.`not_equals(CodeEmitter e, Type type, Label notEquals, Customizer customizer)`
Deprecated.
use `EmitUtils.not_equals(CodeEmitter, Type, Label, CustomizerRegistry)` instead
`void`
KeyFactory.Generator.`setCustomizer(Customizer customizer)`
Deprecated.
Use `KeyFactory.Generator.addCustomizer(KeyFactoryCustomizer)` instead.

## Uses of Customizer in org.springframework.cglib.core.internal

Methods in org.springframework.cglib.core.internal with parameters of type Customizer
Modifier and Type
Method
Description
`static CustomizerRegistry`
CustomizerRegistry.`singleton(Customizer customizer)`
Deprecated.
Only to keep backward compatibility.